com.holonplatform.async.datastore.operation

## Interface AsyncBulkUpdate

- All Superinterfaces:
    BulkUpdateOperation<CompletionStage<Datastore.OperationResult>,AsyncBulkUpdate>, DatastoreCommodity, DatastoreOperation<AsyncBulkUpdate,BulkUpdateOperationConfiguration>, DatastoreOperationConfiguration.Builder<AsyncBulkUpdate>, ExecutableBulkOperation<CompletionStage<Datastore.OperationResult>,BulkUpdateOperationConfiguration,AsyncBulkUpdate>, ExecutableOperation<CompletionStage<Datastore.OperationResult>>, ExpressionResolver.ExpressionResolverBuilder<AsyncBulkUpdate>, QueryFilter.QueryFilterSupport<AsyncBulkUpdate>, Serializable

      public interface AsyncBulkUpdate
      extends BulkUpdateOperation<CompletionStage<Datastore.OperationResult>,AsyncBulkUpdate>

  Asynchronous `BulkUpdateOperation` API, using `CompletionStage` as execution result type to handle the operation result asynchronously.
  Since:
    5.2.0
  See Also:
    `AsyncDatastore`

- - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.core.datastore.operation.commons.BulkUpdateOperation

      `set, set, set, set, setNull`

    - ### Methods inherited from interface com.holonplatform.core.datastore.operation.commons.DatastoreOperation

      `getConfiguration`

    - ### Methods inherited from interface com.holonplatform.core.datastore.operation.commons.DatastoreOperationConfiguration.Builder

      `parameter, parameter, target, withExpressionResolvers, withWriteOption, withWriteOptions, withWriteOptions`

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverBuilder

      `withExpressionResolver`

    - ### Methods inherited from interface com.holonplatform.core.datastore.operation.commons.ExecutableOperation

      `execute`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryFilter.QueryFilterSupport

      `filter, filter, filter`

Copyright © 2019 The Holon Platform. All rights reserved.